> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener el historial de una excepción

> Utilice este endpoint para recuperar el historial de auditoría de una excepción. El historial muestra todas las acciones realizadas sobre la excepción.



## OpenAPI

````yaml es/openapi/v3-current/matcher.yaml get /v1/exceptions/{exceptionId}/history
openapi: 3.1.0
info:
  title: Matcher APIs
  description: >-
    Referencia completa de la API para el motor de conciliación Matcher, que
    proporciona conciliación automatizada de transacciones entre Midaz Ledger y
    sistemas externos.
  version: 4.1.0
  license:
    name: Lerian Studio General License
servers:
  - url: https://matcher.sandbox.lerian.net
security: []
paths:
  /v1/exceptions/{exceptionId}/history:
    get:
      tags:
        - Exception
      summary: Obtener el historial de una excepción
      description: >-
        Utilice este endpoint para recuperar el historial de auditoría de una
        excepción. El historial muestra todas las acciones realizadas sobre la
        excepción.
      operationId: getExceptionHistory
      parameters:
        - description: A unique identifier for tracing the request across services.
          in: header
          name: X-Request-Id
          schema:
            type: string
        - description: Exception ID
          in: path
          name: exceptionId
          required: true
          schema:
            type: string
        - description: The cursor value for retrieving the next page of results.
          in: query
          name: cursor
          schema:
            type: string
        - description: Number of items per page
          in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 20
      responses:
        '200':
          description: >-
            Indica que la solicitud fue exitosa y la respuesta contiene los
            datos esperados.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HistoryResponse'
        '400':
          description: La solicitud contiene parámetros o cuerpo no válidos.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: La solicitud no tiene credenciales de autenticación válidas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: No tiene permiso para acceder a este recurso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: El recurso solicitado no fue encontrado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Ocurrió un error inesperado en el servidor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    HistoryResponse:
      description: Historial de auditoría
      properties:
        hasMore:
          example: true
          type: boolean
        items:
          description: Lista de entradas del historial
          items:
            $ref: '#/components/schemas/HistoryEntryResponse'
          type: array
        limit:
          example: 20
          maximum: 200
          minimum: 1
          type: integer
        nextCursor:
          example: eyJpZCI6IjEyMyJ9
          type: string
        prevCursor:
          example: eyJpZCI6IjEyMiJ9
          type: string
      type: object
    ErrorResponse:
      description: Respuesta de error estándar devuelta por todos los endpoints de la API
      type: object
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Código de error de aplicación estable.
          example: MTCH-0001
        title:
          type: string
          description: Título de error legible por humanos.
          example: Bad Request
        message:
          type: string
          description: Mensaje de error legible con detalles.
          example: context not found
        error:
          type: string
          description: >-
            Obsoleto. Mensaje de error para compatibilidad con versiones
            anteriores.
          deprecated: true
        details:
          description: Contexto de error adicional como pares clave-valor
          additionalProperties: {}
          type: object
    HistoryEntryResponse:
      description: Entrada del registro de auditoría
      properties:
        action:
          description: Acción que se realizó
          example: FORCE_MATCH
          type: string
        actorId:
          description: Usuario que realizó la acción
          example: user@example.com
          type: string
        changes:
          description: Cambios realizados en esta acción
        createdAt:
          description: Cuándo ocurrió la acción en formato RFC3339
          example: '2025-01-15T10:30:00.000Z'
          type: string
        id:
          description: Identificador único de la entrada del historial
          example: 019c96a0-0b4e-7079-8be0-ab6bdccf975f
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Autenticación con token Bearer (formato: "Bearer {token}")'

````